import 'package:prompter_tuds/src/terminal.dart';

import 'option.dart';

class Prompter
{
    Prompter(){
      terminal.clearScreen();
    }

    final Terminal terminal = const Terminal();

    bool askBoolean(String prompt)
    {
      _ask("$prompt (y/n)",[]);

      return terminal.collectInput().contains("y");
    }

    String askMultiple(String prompt,List<Option> options)
    {
      _ask(prompt, options);

      var input = terminal.collectInput();

      try{
        int answer = int.parse(input);
        return options[answer].label;
      }
      catch(exception){
        print(exception.err);
        askMultiple(prompt, options);
      }
    }

     void _ask(String prompt,List<Option> options){
      terminal.writePrompt(prompt);
      terminal.printOptions(options);
    }
}
