import 'dart:io';

import 'option.dart';

class Terminal
{
  const Terminal();

  writePrompt(String prompt)
  {
    stdout.writeln(prompt);
  }
  
  clearScreen()
  {
    if(Platform.isWindows)
      stdout.write("\x1B[2J\x1B[0f");
    else
      stdout.write("\x1B[2J\x1B[3J\x1B[H");
  }

  String collectInput(){
    stdout.write(">");
    return stdin.readLineSync();
  }

  printOptions(List<Option> options)
  {
    options.asMap().forEach((index,option){
      writePrompt("[$index] ${option.label}");
    });
  }
}